Bug 1959546 - [4.7] storage-operator/vsphere-problem-detector causing upgrades to fail that would have succeeded in past versions
Summary: [4.7] storage-operator/vsphere-problem-detector causing upgrades to fail that...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Storage
Version: 4.7
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.7.z
Assignee: Jan Safranek
QA Contact: Wei Duan
URL:
Whiteboard:
: 1961718 1966656 (view as bug list)
Depends On: 1943719
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-05-11 18:18 UTC by Jan Safranek
Modified: 2021-11-03 08:48 UTC (History)
15 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: vsphere-problem-detector, newly introduced in OCP 4.7, required valid vSphere credentials to operate successfuly. Consequence: OCP clusters without valid vSphere credentials were marked as Degraded, while such clusters were running without issues in the previous OCP versions. Fix: vsphere-problem-detector does not mark the cluster as Degraded, only raises an alert. Result:
Clone Of: 1943719
Environment:
Last Closed: 2021-06-15 09:27:49 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-storage-operator pull 169 0 None Merged [release-4.7] Bug 1959546: Add alert about vsphere-problem-detector unable to connect 2021-10-31 18:52:23 UTC
Github openshift vsphere-problem-detector pull 40 0 None Merged Bug 1959546: Update to current master 2021-10-31 18:52:22 UTC
Red Hat Product Errata RHSA-2021:2286 0 None None None 2021-06-15 09:28:32 UTC

Comment 1 Jan Safranek 2021-05-18 14:53:28 UTC
*** Bug 1961718 has been marked as a duplicate of this bug. ***

Comment 3 Wei Duan 2021-05-28 04:20:30 UTC
Verified on 4.7.0-0.nightly-2021-05-27-075039
1. For fresh installed cluster, after changing to a invalid password, storage CO is available with the hint message, related metric works and alert raised
2. Installing 4.6.30 cluster and changing to a invalid password and then upgrade to 4.7 successfully, storage CO is available with the hint message
3. Did some regression test pass

Change status to VERIFIED.

Comment 5 Jan Safranek 2021-06-03 14:09:27 UTC
*** Bug 1966656 has been marked as a duplicate of this bug. ***

Comment 6 Siddharth Sharma 2021-06-04 18:39:28 UTC
This bug will be shipped as part of next z-stream release 4.7.15 on June 14th, as 4.7.14 was dropped due to a regression https://bugzilla.redhat.com/show_bug.cgi?id=1967614

Comment 9 Jan Safranek 2021-06-10 12:34:21 UTC
*** Bug 1969719 has been marked as a duplicate of this bug. ***

Comment 11 errata-xmlrpc 2021-06-15 09:27:49 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.16 security and bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2286


Note You need to log in before you can comment on or make changes to this bug.